NXOpen .NET Reference  12.0.0
NXOpen.Features.ShipDesign.PillarSystemBuilder Member List

This is the complete list of members for NXOpen.Features.ShipDesign.PillarSystemBuilder, including all inherited members.

AnchorPointNXOpen.Features.ShipDesign.PillarSystemBuilder
AngleToleranceNXOpen.Features.ShipDesign.FeatureParmsBuilder
Boundary1NXOpen.Features.ShipDesign.ProfileSystemBuilder
Boundary1PlaneNXOpen.Features.ShipDesign.ProfileSystemBuilder
Boundary2NXOpen.Features.ShipDesign.ProfileSystemBuilder
Boundary2PlaneNXOpen.Features.ShipDesign.ProfileSystemBuilder
BoundaryReverseNXOpen.Features.ShipDesign.ProfileSystemBuilder
BuildSolidNXOpen.Features.ShipDesign.PillarSystemBuilder
BuiltUpStockNXOpen.Features.ShipDesign.PillarSystemBuilder
Commit()NXOpen.Builder
CommitFeature()NXOpen.Features.FeatureBuilder
CreatePathCurves(out NXOpen.NXObject[] curves)NXOpen.Features.ShipDesign.ProfileSystemBuilder
CreatePlaneForList()NXOpen.Features.ShipDesign.FeatureParmsBuilder
CreatePointPairBuilder()NXOpen.Features.ShipDesign.PillarSystemBuilder
DeleteLastPathCurves()NXOpen.Features.ShipDesign.ProfileSystemBuilder
DeletePathCurves()NXOpen.Features.ShipDesign.ProfileSystemBuilder
Destroy()NXOpen.Builder
DirectionNXOpen.Features.ShipDesign.PillarSystemBuilder
DistanceToleranceNXOpen.Features.ShipDesign.FeatureParmsBuilder
FirstIntersectionPointsNXOpen.Features.ShipDesign.ProfileSystemBuilder
GetAvailableAnchorPointNames()NXOpen.Features.ShipDesign.PillarSystemBuilder
GetCommittedObjects()NXOpen.Builder
GetFeature()NXOpen.Features.FeatureBuilder
GetLastPathCurves(out NXOpen.NXObject[] curves)NXOpen.Features.ShipDesign.ProfileSystemBuilder
GetObject()NXOpen.Builder
HideInternalParentFeatureAfterEdit(NXOpen.Features.Feature parentFeature)NXOpen.Features.FeatureBuilder
IntersectingShipStructureNXOpen.Features.ShipDesign.PillarSystemBuilder
LimitingShipStructureNXOpen.Features.ShipDesign.PillarSystemBuilder
OrientationAngleNXOpen.Features.ShipDesign.PillarSystemBuilder
OrientationAngleRuleNXOpen.Features.ShipDesign.FeatureParmsBuilder
OrientationAngleRuleTypes enum nameNXOpen.Features.ShipDesign.FeatureParmsBuilder
OrientationLineNXOpen.Features.ShipDesign.PillarSystemBuilder
ParentFeatureInternalNXOpen.Features.FeatureBuilder
PatchSolutionFlagNXOpen.Features.FeatureBuilder
PatchSurfaceFilenameNXOpen.Features.FeatureBuilder
PointPairListNXOpen.Features.ShipDesign.PillarSystemBuilder
PopulateAnchorPointList()NXOpen.Features.ShipDesign.PillarSystemBuilder
ReverseOrientationDirectionNXOpen.Features.ShipDesign.PillarSystemBuilder
ReversePathDirectionNXOpen.Features.ShipDesign.ProfileSystemBuilder
ReverseReferenceDirectionNXOpen.Features.ShipDesign.PillarSystemBuilder
SecondIntersectionPointsNXOpen.Features.ShipDesign.ProfileSystemBuilder
SectionTypeNXOpen.Features.ShipDesign.PillarSystemBuilder
SetBoundaryOnePoints(NXOpen.Point3d[] points)NXOpen.Features.ShipDesign.ProfileSystemBuilder
SetBoundaryTwoPoints(NXOpen.Point3d[] points)NXOpen.Features.ShipDesign.ProfileSystemBuilder
SetParentFeatureInternal(NXOpen.Features.Feature parentFeature)NXOpen.Features.FeatureBuilder
SetRegionPoints(NXOpen.Point3d[] points)NXOpen.Features.ShipDesign.ProfileSystemBuilder
ShipNamesNXOpen.Features.ShipDesign.PillarSystemBuilder
ShowInternalParentFeatureForEdit(NXOpen.Features.Feature parentFeature)NXOpen.Features.FeatureBuilder
ShowResults()NXOpen.Builder
SplitKnuckleLocationsNXOpen.Features.ShipDesign.ProfileSystemBuilder
StockDataNXOpen.Features.ShipDesign.PillarSystemBuilder
StockSectionType enum nameNXOpen.Features.ShipDesign.PillarSystemBuilder
SurroundingPatchSurfaceFilenameNXOpen.Features.FeatureBuilder
TypeNXOpen.Features.ShipDesign.PillarSystemBuilder
Types enum nameNXOpen.Features.ShipDesign.PillarSystemBuilder
UnsetParentFeatureInternal(NXOpen.Features.Feature parentFeature)NXOpen.Features.FeatureBuilder
UseNewDefaultSectionAlgorithmNXOpen.Features.ShipDesign.ProfileSystemBuilder
Validate()NXOpen.Builder
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.